package event

import (
	"qteam/app/constants/common"
	"qteam/event/observers"
)

/**
 	*事件触发
	event.EventManger.TrigerEvent(common.Event_USER_LOG_IN, param)
*/

var EventManger *EventManagerFactory

func init() {
	EventManger = new(EventManagerFactory)
	EventManger.Register(common.Event_USER_LOG_IN, &observers.ScoreLogin{})
}
